summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2019-02-09 13:06:06 +0000
committerJavier Jardón <jjardon@gnome.org>2019-02-09 13:06:06 +0000
commite910963b9bd15d2d923343890170702d56380c4f (patch)
treea58330fd99b88fec74cd3fafc72677543542d8ba /autogen.sh
parent4fa0719dfb15c631758e623e90e6677b856b7f97 (diff)
downloadgnome-keyring-e910963b9bd15d2d923343890170702d56380c4f.tar.gz
autogen.sh: Use autoreconf instead deprecated gnome-common
See https://wiki.gnome.org/Projects/GnomeCommon/Migration
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh48
1 files changed, 28 insertions, 20 deletions
diff --git a/autogen.sh b/autogen.sh
index fa86874a..d9d12ecf 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,30 +1,38 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-PKG_NAME="gnome-keyring"
-USE_GNOME2_MACROS=1
-REQUIRED_AUTOMAKE_VERSION=1.7
+olddir=$(pwd)
-olddir=`pwd`
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+cd $srcdir
-(test -f $srcdir/configure.ac \
- && test -f $srcdir/daemon/gkd-main.c) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME Git"
- exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+autoreconf --verbose --force --install || exit 1
-. gnome-autogen.sh
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
-# Put a redirect makefile here
-if [ ! -f $srcdir/Makefile ]; then
- cat $srcdir/build/Makefile.redirect > $srcdir/Makefile
- printf "\nREDIRECT = %s\n" "$(realpath $olddir)" >> $srcdir/Makefile
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
fi